5. Synchronize Latest PaymentInfo

POST /api/open/v1/alipayhk/merchant/outAccount/paymentInfo/sync

The API enables real-time synchronization of merchants' updated payment records to AlipayHK.

This API call typically occurs in scenarios where:

  • Post-payment confirmation by the user-end

General Headers

Name

Description

Type

Sample

Client-Id

REQUIRED

An ID provided by AlipayHK, used to identify partner and application system.

String

4Q5Y8W0WSG45P907917

Content-Type

REQUIRED

The RFC 2616 media type of the request body, the charset should be as same as the one used for cryptographic operations. 

String

application/json; charset=UTF-8

Signature

REQUIRED

A key-value pairs string separated by commas (,), which keys and values are joined by equal signs (key=value). 

Valid keys include: 

  • algorithm: The digital signature algorithm used in generating the signature, RSA256 or ECC224, uses RSA256 by default. 
  • keyVersion: The key version of the signing key configured with Client-Id, uses the latest version by default. 
  • signature: The signature value of this request. 

String

algorithm=RSA256,keyVersion=1,signature=KEhXthj4bJ801Hqw8kaLvEKc0Rii8KsNUazw7kZgjxyGSPuOZ48058UVJUkkR21iD9JkHBGR rWiHPae8ZRPuBagh2H3qu7fxY5GxVDWayJUhUYkr9m%2FOW4UQVmXaQ9yn%2Fw2dCtzwAW0htPHYrKMyrT pMk%2BfDDmRflA%2FAMJhQ71yeyhufIA2PCJV8%2FCMOa46303A0WHhH0YPJ9%2FI0UeLVMWlJ1XcBo3Jr bRFvcowQwt0lP1XkoPmSLGpBevDE8%2FQ9WnxjPNDfrHnKgV2fp0hpMKVXNM%2BrLHNyMv3MkHg9iTMOD% 2FFYDAwSd%2B6%2FEOFo9UbdlKcmodJwjKlQoxZZIzmF8w%3D%3D

Encrypt

REQUIRED when message content needs to be encrypted. 

A key-value pairs string separated by commas (,), which keys and values are joined by equal signs (key=value). 

Valid keys include: 

  • algorithmThe symmetric key algorithm used in encryptingthe signature, only RSA_AES is supported
  • keyVersionThe key version of the signing key configured with Client-Id, uses the latest version by default.
  • symmetricKey: The encrypted symmetric key.

String

algorithm=RSA_AES,keyVersion=1,symmetricKey=bqS8HSmdaRrpKSuPy7CqUlyd8lJurG93

Request-only Headers

Name

Description

Type

Sample

Request-Time

REQUIRED

The ISO-8601 datetime of this API request with timezone.

String

2024-05-22T06:42:21+05:30

Response-only Headers

Name

Description

Type

Sample

Response-Time

REQUIRED

The ISO-8601 datetime of this API response with timezone.

String

2024-05-22T06:42:21+05:30

Tracer-Id

An ID for tracing this request.

String

abcdefg135202000000000263818


Request parameters

openId string  REQUIRED

ID of AlipayHK user.


requestId string  REQUIRED

An unique request ID (uuid) to identify this API request.

More information:

  • Value range: 64

requestTime number  REQUIRED

Request time, in millisecond timestamp format.

e.g. 1746586067000

accountId string  REQUIRED

ID of merchant user.


More information:

  • Value range: 64

type string  REQUIRED

Please refer to the type from📎Account_type.xlsx

subType string  

Please refer to the subType from 📎Account_type.xlsx

status string  REQUIRED

Status of this bill.

  • VALID
  • INVALID

merchant object  REQUIRED

Show child parameters

amount number  REQUIRED

Value in cents.

currencyCode string  REQUIRED

A 3-letter ISO 4217 currency code, e.g. HKD

paymentResult string  REQUIRED

Payment result

  • SUCCESS
  • FAIL
  • UNKNOWN

paymentDate number  REQUIRED

Payment time, in millisecond timestamp format.

e.g. 1746586067000

actionUrl string  REQUIRED

Deeplink for 『缴费』 button.

image.pngimage.png

Response parameters

result object  REQUIRED

A metadata object indicates the result of the request.

Show child parameters
API Explorer

Request

Request Body

Response

Response Body

Result/Error codes

CodeValueMessage
SUCCESSSSuccess
PARAM_ILLEGALFIllegal parameters. For example, non-numeric input, invalid date.
PROCESS_FAILFA general business failure occurred. Don't retry.
UNKNOWN_EXCEPTIONFAPI failed due to unknown reason.